Skip to content
LydieDevelopers
Menu

Change a database's views

View as Markdown
POST/v1/databases/{databaseId}/views/change

Adds, changes and removes views in one step. config is merged into the view's config (filter, sorts, groupBy, columns, …); see get_database for the current values.

docs:writeUndoableCannot be undone
Request
curl -X POST "https://api.lydie.co/v1/databases/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/views/change" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Path parameters

Body

Response

  • idULID
  • propertiesobject[]
    Show 4 fields
    • idULID
    • namestring
    • typestring

      One oftitletextnumberselectmultiSelectstatusdatecheckboxurlemailphonepersonfilesrelationrollupformulauniqueIdcreatedTimeupdatedTimecreatedByupdatedBy

    • keystring
  • viewsobject[]
    Show 3 fields
    • idULID
    • namestring
    • typestring

      One oftableboardlistcalendargallery

200
{
  "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
  "properties": [
    {
      "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
      "name": "Notes",
      "type": "title",
      "key": "string"
    }
  ],
  "views": [
    {
      "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
      "name": "Notes",
      "type": "table"
    }
  ]
}

Errors use one envelope for every endpoint. See Errors and versions.